Running Kodak Scanmate i940 on Linux (updated September 2020)

Update of August 2020:

I was surprised to find a new driver (V7.1) for this printer on the kodak website.

I looked there last time about a year ago and did not find a driver version with support for any recent linux distribution and considered support as discontinued.

Luckily this was not the case.

The latest driver claims to support Ubuntu 18.04 and colleagues of that time. Well, not recent, but MUCH better than the v4.0 driver I was still able to run on Fedora 32 (with issues).

So I tried this recent driver on Fedora 32. After having had to uninstall the old driver via dnf the setup script run flawlessly. I am also quite happy that I can now do color scans again without receiving a garbled image. Happy now!

Although there is no official support for recent distros (again), it will probably work.

As Kodak is lagging behind with modern distributions the situation might worsen again with more modern distribution releases.

As this blog post seems to be the only resource on the web concerning the i940 scanner on linux (and the statistics say that people are still looking for this), I would like to encourage you to report to me or in the comments on what distributions you were able to install the i940 with what driver version. I will keep this post updated.

Update of september 2020:

Ubuntu 20.04 seems not to be supported properly according to comments.


Obsolete older content (2014):

I just want to share some insights about using the Scanmate i940 scanner using a linux distribution.  Kodak is claiming Linux support for that scanner and is providing a driver here.On its website Kodak states that specifically Ubuntu 12.04 LTS is supported. But this is only partially true. Here is what I found out about this driver:

  • The drivers is x86 32-bit only! This is a major drawback. You can run the scanner with a 64-bit system, but you have to install sane and all applications which are supposed to access the scanner in 32-bit. There is not much hope of being able to run the scanner using an ARM based Raspberry Pi too.
  • The driver actually contains a setup script, which supports far more than just Ubuntu. Judging from the code It is able to handle Debian, Ubuntu, Fedora (and RedHat-Clones) and OpenSuse out of the box
  • BUT it requires the existence of a libudev.so.0 and aborts when it cannot be installed. This causes the setup script to break on ALL RECENT linux distributions. The livudev.so.0 has been phased out for libudev.so.1 from Ubuntu 13.04 and Fedora 18 upwards

So far, so bad. The linux driver is outdated. At last judging from the look of the windows installer, this is true for the windows driver too (still, that one works).

I managed to get the scanner running with Fedora 20 64-bit. This are the steps which resulted in success.

  • Install a libudev.so.0 in the system. I forced in a package from a previous Fedora version. A similar step should work on other operating systems too.
  • Modify the setup script in a way that it does not break because of a missing libudev.so.0 and does not try to install it. Make sure it runs through.
  • Make sure the sane binaries and all applications which should be able to see the scanner are installed in 32-bit and have dependencies fullfilled

After that the scanner worked for me. I tested it under Windows too and the image quality looks like the same. So at least no drawback here. But I see another bigger bug with the linux driver: full duplex scanning does not work. The scanner is able to scan both sides of a page – but that does not work with linux driver. Duplex scanning works only in xsane, but not in more user-friendly apps like simple-scan.

I contacted the Kodak support about the problems of their linux driver. On the positive side they were quick to respond and supportive. A updated linux driver for Ubuntu 14.04 is in the works but there is not date when it can be expected.

As long as there is no updated driver available (I update this article as soon as I get it), I cannot recommend buying this scanner if you want to run it with linux. Not as long as you are not comfortable with the steps outlined above to make it work.

Update 25.1.2015:

I just found the updated driver 3.1 for the kodak i940 on the kodak webpage. It says it supports Ubuntu 14.04 and there is a 64-bit driver. So this driver finally comes out of the stoneage.

I was able to run the setup script on Fedora 21 flawlessly. The scanner now finally is able to scan several pages in one run. Unfortunately the full-duplex scanning is still only working in xsane where you can choose the (driver specific) mode for that.

9 Comments

  1. When you say “you have to install sane and all applications which are supposed to access the scanner in 32-bit. ” what really did you do?
    I’m trying following your steps, but i’m not having sucess.
    Could you explain with more details?

    Tks all

    1. I installed the 32-bit version of xsane and simple-scan – of course 32-bit sane was installed too. How to do that is distribution specific. On RH/Fedora based distribution you have to install simple-scan.i686 to get the 32-bit version.

  2. I installed Software i900_v4.0.x86_64.deb.tar.gz 64 bits on Linux openSUSE 13.2 x64 , but when the installation goes the legend “the instalation is compliant Not with your operating system.”
    Time ago I had the scanner installed via USB without problem , I do not remember if it was the same driver version.
    Could anyone help?
    thank you
    Esteban

  3. Hi there,
    Thank you for your posts!
    I recently updated from Ubuntu 19xx on two machines (where I got the scanner working by changing the symbolic links) to 20.4 (one update, one fresh install).
    Now, the script provided by Kodak/Alaris has troubles to install libopenusb as well as the obsolete mono-runtime environment that seems to be needed for a GUI (not necessary for use in xsane).
    This seems to be due to lack of 32-bit support in 20.4…
    Tried to figure out different things, but it seems that I have to dump the former working horse from my office. This bugs me a bit, because alternatives with a document feed that could be shown to work in 20.4 are way beyond 200€/$.
    Best,
    J

    1. You can skip the mono installation for sure.

      Concerning libopenusb, that is odd. On my Fedora 32 installation I have a x86_64 package installed by that script. In the 64-bit debian package there is also a amd64 version of that package. Are you sure you got the 64bit version of the driver package?
      https://resources.kodakalaris.com/docimaging/drivers/i940_October2019/LinuxSoftware_i900_v7.1.x86_64.deb.tar.gz

      Maybe you can trick the script by installing libopenusb from that archive manually. If it finds it installed it should skip installation – or you can modify the script and force it to skip. (something I had to do before 2014 I think)

  4. Dear Björn,

    Thank you so much for your reply! I actually managed to install the driver (without mono) on the “unfresh” 20.4 Ubuntu installation. I forced the installation of the packages of the LinuxSoftware_i900_v7.1.x86_64.deb.tar.gz as you suggested (but all of them). Then I relaunched the installation script – this worked (I don’t know why).
    However, on the fresh install, libudev0 seems to be the problem… I just can’t get it to work, libopenUSB needs the installation of libudev0/there are dependencies that seem to be not resolveable (with dpkg/apt/aptitude). After forcing installation of libudev0 manually (this seems to be canceled at some point, though), the installation script identifies libudev0 to be installed, but again, libopenusb won’t install. There seems to be a problem with multiarch-support – maybe this is just my machine since I had some dpkg-related problems lately…
    If you have any suggestions, this would still be highly recommended – but I guess I should post this in a Ubuntu-forum…

    Best,
    J

    1. Hi,

      this reminds me very much of the problems with the 4.1 driver on Fedora 30 (or 29? can’t remember).

      I think I got it resolved by strictly trying to provide the missing dependencies. Even if the dependencies are not resolvable by apt, there are usually packages downloadable somewhere that you can install. Not the nicest thing from a system integrity point of view, but it worked.

      So, my advice is to try to fulfill the dependencies by any means necessary.

      Additionally it is odd enough that this driver relies in a libudev0 package from 2013. If anything fails you might force the installation of the actual driver kodak_i900-07.01.00.00-1.amd64.deb and check whether it works nonetheless.

      A mixture of both measures brought my scanner back to life two years ago in a previous Fedora version. I always feared this would stop working at some time – but now there were was this new driver and life is good.

      Regards,

      Björn Ruber

  5. Thanks for keeping this topic alive!
    It’s not possible to install ob Ubuntu 20.04.1 LTS 64bit on a RaspberyPi … processor type ARM is not supported

Leave a Reply to Björn Ruberg Cancel reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s